// CustomContextMenuView.h : interface of the CCustomContextMenuView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUSTOMCONTEXTMENUVIEW_H__8E821075_7987_4C36_9665_0528597A4F9D__INCLUDED_)
#define AFX_CUSTOMCONTEXTMENUVIEW_H__8E821075_7987_4C36_9665_0528597A4F9D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DocHostHtmlView.h"

class CCustomContextMenuView : public CDocHostHtmlView
{
protected: // create from serialization only
	CCustomContextMenuView();
	DECLARE_DYNCREATE(CCustomContextMenuView)

// Attributes
public:
	CCustomContextMenuDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomContextMenuView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL
	virtual HRESULT OnShowContextMenu(DWORD dwID,
		LPPOINT ppt,
		IUnknown * pcmdtReserved,
		IDispatch * pdispReserved);

// Implementation
public:
	virtual ~CCustomContextMenuView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCustomContextMenuView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CustomContextMenuView.cpp
inline CCustomContextMenuDoc* CCustomContextMenuView::GetDocument()
   { return (CCustomContextMenuDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMCONTEXTMENUVIEW_H__8E821075_7987_4C36_9665_0528597A4F9D__INCLUDED_)
