// CustomContextMenuView.cpp : implementation of the CCustomContextMenuView class
//

#include "stdafx.h"
#include "CustomContextMenu.h"

#include "CustomContextMenuDoc.h"
#include "CustomContextMenuView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomContextMenuView

IMPLEMENT_DYNCREATE(CCustomContextMenuView, CDocHostHtmlView)

BEGIN_MESSAGE_MAP(CCustomContextMenuView, CDocHostHtmlView)
	//{{AFX_MSG_MAP(CCustomContextMenuView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomContextMenuView construction/destruction

CCustomContextMenuView::CCustomContextMenuView()
{
	// TODO: add construction code here

}

CCustomContextMenuView::~CCustomContextMenuView()
{
}

BOOL CCustomContextMenuView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CDocHostHtmlView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CCustomContextMenuView drawing

void CCustomContextMenuView::OnDraw(CDC* pDC)
{
	CCustomContextMenuDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

void CCustomContextMenuView::OnInitialUpdate()
{
	CDocHostHtmlView::OnInitialUpdate();

	Navigate2( _T("http://www.beginthread.com/ehsan/") );
}

/////////////////////////////////////////////////////////////////////////////
// CCustomContextMenuView diagnostics

#ifdef _DEBUG
void CCustomContextMenuView::AssertValid() const
{
	CDocHostHtmlView::AssertValid();
}

void CCustomContextMenuView::Dump(CDumpContext& dc) const
{
	CDocHostHtmlView::Dump(dc);
}

CCustomContextMenuDoc* CCustomContextMenuView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCustomContextMenuDoc)));
	return (CCustomContextMenuDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CCustomContextMenuView message handlers

HRESULT CCustomContextMenuView::OnShowContextMenu(DWORD dwID,
												  LPPOINT ppt,
												  IUnknown * pcmdtReserved,
												  IDispatch *)
{
	// load the main frame menu
	HMENU hMenuParent = ::LoadMenu( ::AfxGetInstanceHandle(),
		MAKEINTRESOURCE(IDR_MAINFRAME) );

	if (hMenuParent)
	{
		HMENU hMenu = ::GetSubMenu( hMenuParent, 0 );  // the File sub menu

		if (hMenu)
		{
			// display the popup menu
			long lResult = ::TrackPopupMenuEx( hMenu, TPM_LEFTALIGN | TPM_TOPALIGN |
				TPM_RETURNCMD | TPM_RIGHTBUTTON | TPM_HORPOSANIMATION |
				TPM_VERPOSANIMATION, ppt->x, ppt->y, ::AfxGetMainWnd()->m_hWnd, NULL );

			if (lResult)  // if an item is chosen
			{
				// send a command message
				::SendMessage( ::AfxGetMainWnd()->m_hWnd, WM_COMMAND,
					MAKEWPARAM(LOWORD(lResult), 0x0), 0 );
			}
		}

		::DestroyMenu( hMenuParent );
	}

	return S_OK;
}